<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="Default.aspx.vb" Inherits="PdfExporter._Default" %>

<%@ Register Assembly="MindFusion.Diagramming.WebForms" Namespace="MindFusion.Diagramming.WebForms" TagPrefix="ndiag" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
  <title>MindFusion NetDiagram Sample - PDF Exporter</title>
  <link href="common/jquery-ui.min.css" rel="stylesheet" />
  <link href="common/samples.css" rel="stylesheet" />
  <script type="text/javascript" src="common/jquery.min.js"></script>
  <script type="text/javascript" src="common/jquery-ui.min.js"></script>
  <script type="text/javascript" src="common/samples.js"></script>
</head>
<body onload="onLoad()">
<form id="form1" runat="server">

  <asp:ScriptManager ID="ScriptManager1" runat="server" />

  <div id="header" style="height: 49px;">
    <div style="float: left; margin-right: 15px; margin-top: 17px;">
      <asp:Button ID="btnExportPdf" runat="server" OnClick="btnExportPdf_Click" Text="Export PDF" />
      <asp:HiddenField ID="pdfURL" runat="server" />
    </div>
    <div style="float: right; margin-right: 5px; margin-top: 17px;">
      <button id="expandButton" onclick="onExpandCollapse()">&gt;</button>
    </div>
  </div>

  <div id="info" style="top: 60px; bottom: 24px;">
    <div id="infoTab" style="padding: 10px;">
      <h1>About this sample</h1>
      <p>This sample shows how to export a diagram to PDF.</p>
    </div>
  </div>

  <div id="content" style="top: 60px; bottom: 24px;">
    <ndiag:DiagramView ID="diagramView" runat="server" style="position: absolute; left: 0px; top: 0px; right: 0px; bottom: 0px;"
      ClientSideMode="Canvas" NodeCreatedScript="onNodeCreated">
      <Diagram BackBrush="s:#FFFFFFFF" LinkShape="Bezier" />
    </ndiag:DiagramView>
  </div>

  <div id="footer" style="height: 24px;">
    <span id="copyright"></span>
  </div>

</form>

<script language="javascript">

function onLoad()
{
    var url = document.getElementById("pdfURL");
    if (url.value != "")
        window.open(url.value);
}
    
function onNodeCreated(sender, args)
{
    var node = args.getNode();
    node.setText("edit me!");
    $find('diagramView').beginEdit(node);
}

</script>

</body>
</html>
